Restriction on Required Library

JavaFX is part of Java, so why does it prove so difficult to get JavaFX code to compile in Eclipse? You would think there wouldn’t be an issue, but there often is a compile error, “Access Restriction: blah blah is not accessible due to restriction on required library”.

So painful.

There are essentially three fixes for this JavaFX access restriction error in Eclipse. Continue reading “Restriction on Required Library”